uses sysutils;

var
  n,c,r: integer;
  i: integer;
  s,p: string;

function rndstring(n: integer): string;
var
  s: string;
  i: integer;
begin
  s:='';
  for i:=1 to n do s:=s+inttostr(random(2));
  rndstring := s;
end;

begin
  if ParamCount < 2 then begin
    writeln('Usage: rndgen <длина строки> <число целых повторов> <длина остатка>');
    exit;
  end;
  randomize;
  n := StrToInt(ParamStr(1));
  c := StrToInt(ParamStr(2));
  r := StrToInt(ParamStr(3));
  s := rndstring(n);
  p := '';
  for i:=1 to c do p:=p+s;
  for i:=1 to r do p := p + p[i];
  writeln(p);
end.
